package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("套餐菜品分页返回")
public class MenuPackageDishesPageVO implements Serializable {
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品简介")
   private String intro;
   @ApiModelProperty("菜品占比(0.35)")
   private Double proportion;

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public String getIntro() {
      return this.intro;
   }

   public Double getProportion() {
      return this.proportion;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setIntro(final String intro) {
      this.intro = intro;
   }

   public void setProportion(final Double proportion) {
      this.proportion = proportion;
   }
}
